org.eclipse.gef.requests

## Class SelectionRequest

- java.lang.Object
- - org.eclipse.gef.Request
  - - org.eclipse.gef.requests.LocationRequest
    - - org.eclipse.gef.requests.SelectionRequest

    public class SelectionRequest
    extends LocationRequest

A request to select an edit part.

### Constructor Summary

Constructors
Constructor and Description
`SelectionRequest()`

### Method Summary

Methods
`int` `getLastButtonPressed()` Returns the last button that was pressed.
`int` `getModifiers()` Returns the statemask for this request.
`boolean` `isAltKeyPressed()` Returns `true` if the ALT key is currently pressed.
`boolean` `isAnyMouseButtonPressed()` Returns `true` if any mouse button is currently pressed.
`boolean` `isCommandKeyPressed()` Returns `true` if the COMMAND key is currently pressed.
`boolean` `isControlKeyPressed()` Returns `true` if the CTRL key is currently pressed.
`boolean` `isLeftMouseButtonPressed()` Returns `true` if the left mouse button is pressed.
`boolean` `isRightMouseButtonPressed()` Returns `true` if the right mouse button is pressed.
`boolean` `isShiftKeyPressed()` Returns `true` if the SHIFT key is currently pressed.
`void` `setLastButtonPressed(int button)` Sets the last mouse button that was pressed.
`void` `setModifiers(int mask)` Sets the statemask for this request.

### Methods inherited from class org.eclipse.gef.requests.LocationRequest

`getLocation, setLocation`

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectionRequest

    public SelectionRequest()

### Method Detail

#### getLastButtonPressed

    public int getLastButtonPressed()

Returns the last button that was pressed. This is useful if there is more than one mouse button pressed and the most recent button pressed needs to be identified.

Returns:
  the last button pressed

#### getModifiers

    public int getModifiers()

Returns the statemask for this request.

Returns:
  the statemask
Since:
  3.7

#### isAltKeyPressed

    public boolean isAltKeyPressed()

Returns `true` if the ALT key is currently pressed.

Returns:
  whether the ALT key is pressed

#### isAnyMouseButtonPressed

    public boolean isAnyMouseButtonPressed()

Returns `true` if any mouse button is currently pressed.

Returns:
  whether any mouse button is pressed

#### isCommandKeyPressed

    public boolean isCommandKeyPressed()

Returns `true` if the COMMAND key is currently pressed.

Returns:
  whether the COMMAND key is pressed
Since:
  3.7

#### isControlKeyPressed

    public boolean isControlKeyPressed()

Returns `true` if the CTRL key is currently pressed.

Returns:
  whether the CTRL key is pressed

#### isLeftMouseButtonPressed

    public boolean isLeftMouseButtonPressed()

Returns `true` if the left mouse button is pressed.

Returns:
  whether the left mouse button is pressed

#### isRightMouseButtonPressed

    public boolean isRightMouseButtonPressed()

Returns `true` if the right mouse button is pressed.

Returns:
  whether the right mouse button is pressed

#### isShiftKeyPressed

    public boolean isShiftKeyPressed()

Returns `true` if the SHIFT key is currently pressed.

Returns:
  whether the SHIFT key is pressed

#### setModifiers

    public void setModifiers(int mask)

Sets the statemask for this request.

Parameters:
  `mask` - the statemask

#### setLastButtonPressed

    public void setLastButtonPressed(int button)

Sets the last mouse button that was pressed.

Parameters:
  `button` - the last button pressed